/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef FORMS_H
#define FORMS_H
#include <qstring.h>
#include <qlineedit.h>
#include <qlabel.h>
#include <qtooltip.h>
#include <math.h>
#include "pptools.h"
#include "equation.h"

#define MAX_FIELDS 127
#define MAX_SETS 127

/* This class is for managing forms in the GUI */
//"user accessible" tables MUST start at element 1
class forms
{
public:
	short int nb_elems;
	QString message;
public:
	forms() {nb_elems=0; message=""; current_set=1;} //nb_elems contains the index of the last element
	int getValues(double vals[],int index_to_solve[],int vals_constraints[],double guess[],short int nb_index); 
	int addWidgets(QLineEdit *input,QLabel *name,QLabel *unit);
	int addLabels(short int selected_set,short int position,QString name,QString tooltip,QString unit,int flags,double initial_guess);
	int refreshForm(short int selected_set);
	int setValues(double vals[]);
private:
	int EngToDec(QString *value);
	QString DecToEng(double value);
private:
	QLineEdit *form_input[MAX_FIELDS];
	QLabel *form_labels[MAX_FIELDS][2];
	QString labels_text[MAX_SETS][MAX_FIELDS][3];
	short int current_set;
	int fields_flags[MAX_SETS][MAX_FIELDS];
	double form_guess[MAX_SETS][MAX_FIELDS];
};

//add a function that is going to put all fields to HIDDEN as an initialization
#endif
